# PhotoMaker > Tencent ARC's PhotoMaker (9M+ runs) — generate stylized photos of a person from 1-4 reference photos. 10 styles including Cinematic, Disney Character, and Digital Art. - **Provider**: replicate - **Model ID**: tencentarc/photomaker - **Category**: face_image_generation - **Credits**: 10 per request - **Pricing Type**: input_based ## API Endpoint Base URL: https://api.core.today/v1 ### Create Prediction POST /predictions ### Get Status GET /predictions/{job_id} ### Cancel DELETE /predictions/{job_id} ## Authentication Header: `X-API-Key: YOUR_API_KEY` ## Input Parameters - `num_outputs` (integer, optional): Number of output images (Default: `1`; Range: min: 1, max: 4) - `seed` (integer, optional): Seed. Leave blank to use a random number (Range: min: 0, max: 2147483647) - `style_name` (string, optional): Style template. The style template will add a style-specific prompt and negative prompt to the user's prompt. (Default: `Photographic (Default)`; Options: `(No style)`, `Cinematic`, `Disney Charactor`, `Digital Art`, `Photographic (Default)`, `Fantasy art`, `Neonpunk`, `Enhance`, `Comic book`, `Lowpoly`, `Line art`) - `input_image2` (string, optional): Additional input image (optional) - `input_image3` (string, optional): Additional input image (optional) - `num_steps` (integer, optional): Number of sample steps (Default: `20`; Range: min: 1, max: 100) - `disable_safety_checker` (boolean, optional): Disable safety checker for generated images. (Default: `False`) - `input_image4` (string, optional): Additional input image (optional) - `negative_prompt` (string, optional): Negative Prompt. The negative prompt should NOT contain the trigger word. (Default: `nsfw, lowres, bad anatomy, bad hands, text, error, missing fingers, extra digit, fewer digits, cropped, worst quality, low quality, normal quality, jpeg artifacts, signature, watermark, username, blurry`) - `style_strength_ratio` (number, optional): Style strength (%) (Default: `20`; Range: min: 15, max: 50) - `guidance_scale` (number, optional): Guidance scale. A guidance scale of 1 corresponds to doing no classifier free guidance. (Default: `5`; Range: min: 1, max: 10) - `input_image` (string, **required**): The input image, for example a photo of your face. - `prompt` (string, optional): Prompt. Example: 'a photo of a man/woman img'. The phrase 'img' is the trigger word. (Default: `A photo of a person img`) ## Example Request ```json { "model": "tencentarc/photomaker", "input": { "num_steps": 50, "num_outputs": 1, "negative_prompt": "nsfw, lowres, bad anatomy, bad hands, text, error, missing fingers, extra digit, fewer digits, cropped, worst quality, low quality, normal quality, jpeg artifacts, signature, watermark, username, blurry", "guidance_scale": 5, "style_strength_ratio": 20, "input_image": "https://replicate.delivery/pbxt/KFkSv1oX0v3e7GnOrmzULGqCA8222pC6FI2EKcfuCZWxvHN3/newton_0.jpg", "prompt": "A photo of a scientist img receiving the Nobel Prize", "style_name": "Photographic (Default)" } } ``` ## Response Format ```json { "job_id": "abc123", "status": "pending", "provider": "replicate", "model": "black-forest-labs/flux-schnell", "created_at": "2026-01-01T00:00:00Z", "result": null, "error": null } ``` Status values: `pending`, `processing`, `completed`, `failed`, `cancelled` ## Usage Flow 1. POST /predictions with model and input → receive job_id 2. Poll GET /predictions/{job_id} until status is `completed` or `failed` 3. Result contains output URL(s) or data ## Output Type url ## Tags face-generation, avatar, photomaker, personalization, tencent ## Documentation https://replicate.com/tencentarc/photomaker